Subject: Re: pthreads works, sorta
From: Tak Ota <[email-masked]>
To: [email-masked]
Date: Tue, 26 Jun 2001 22:52:41 -0700 (PDT)

I'm not sure either.  If that is the case, replacing IsBadWritePtr
with IsBadReadPtr maybe the answer since can't read mans can't write.

-Tak

On Wed, 27 Jun 2001 15:33:27 +1000, "Robert Collins" <[email-masked]> wrote:

> I'm not sure you can get write but not read memory in win32. Can you? If
> you can, then yes checking both should be done.
> 
> Rob
>  
> 
> > -----Original Message-----
> > From: Tak Ota [mailto:[email-masked]]
> > Sent: Wednesday, June 27, 2001 3:41 PM
> > To: [email-masked]
> > Subject: Re: pthreads works, sorta
> > 
> > 
> > How about using IsBadReadPtr in addition to IsBadWritePtr?
> > 
> > -Tak
> > 
> > On Wed, 27 Jun 2001 01:29:32 -0400, Christopher Faylor 
> > <[email-masked]> wrote:
> > 
> > > On Wed, Jun 27, 2001 at 01:10:35PM +1000, Robert Collins wrote:
> > > >> -----Original Message-----
> > > >> From: Greg Smith [mailto:[email-masked]]
> > > > 
> > > >> 
> > > >> More experimenting with my home computer, dual pIII 850:
> > > >> 
> > > >> 1. 117  157 328
> > > >> 2. 822 1527 ---
> > > >> 3. 194  240 453
> > > >> 4. 169  181 516
> > > >> 
> > > >As usual, I write a missive, then solve the puzzle.
> > > >
> > > >try this:
> > > >
> > > >
> > > >int __stdcall
> > > >check_valid_pointer (void *pointer)
> > > >{
> > > >  if (!pointer || IsBadWritePtr(pointer, sizeof 
> > (verifyable_object)))
> > > >    return EFAULT;
> > > >  return 0;
> > > >}
> > > 
> > > This is not quite the same thing as VirtualQuery.  This 
> > verifies that the
> > > process can write to memory.  It doesn't verify that it is 
> > accessible.
> > > 
> > > Maybe that is not important but I would have to think about this.
> > > 
> > > Nice find, though, Rob.
> > > 
> > > cgf
> > > 
> > > --
> > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > Bug reporting:         http://cygwin.com/bugs.html
> > > Documentation:         http://cygwin.com/docs.html
> > > FAQ:                   http://cygwin.com/faq/
> > 
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> > 
> > 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/